"""
MIT License

Permission is hereby granted, free of charge, to Alexandre Meline
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

Copyright (c) 2023 Alexandre Meline

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
"""
from colorama import Fore, Back, Style

class TerminalColors:
    RESET = Style.RESET_ALL

    # Texte coloré
    BLACK = Fore.BLACK
    RED = Fore.RED
    GREEN = Fore.GREEN
    YELLOW = Fore.YELLOW
    BLUE = Fore.BLUE
    MAGENTA = Fore.MAGENTA
    CYAN = Fore.CYAN
    WHITE = Fore.WHITE

    # Fond coloré
    BLACK_BG = Back.BLACK
    RED_BG = Back.RED
    GREEN_BG = Back.GREEN
    YELLOW_BG = Back.YELLOW
    BLUE_BG = Back.BLUE
    MAGENTA_BG = Back.MAGENTA
    CYAN_BG = Back.CYAN
    WHITE_BG = Back.WHITE

    # Styles de texte
    BOLD = Style.BRIGHT
    DIM = Style.DIM
    UNDERLINE = Style.BRIGHT


if __name__ == "__main__":
    # Exemple d'utilisation des couleurs
    print(TerminalColors.RED + "Texte rouge" + TerminalColors.RESET)
    print(TerminalColors.GREEN_BG + TerminalColors.BLACK + "Fond vert, texte noir" + TerminalColors.RESET)
